<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@FEE00118=63</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action condition="(frame % 60 == 0)">maincpu.pb@FEE00B01=05</action>
      <action condition="(frame % 60 == 0)">maincpu.pb@FEE00B97=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bonus Game Left">
    <script state="run">
      <action>maincpu.pb@FEE01788=09</action>
    </script>
  </cheat>

  <cheat desc="Select Change Point">
    <parameter min="0" max="32" step="1"/>
    <script state="change">
      <action>maincpu.pb@FEE01784=(param)</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="The winning hand cheat must be activated when"/>
  <cheat desc="there are 14 tiles in your hand, then press"/>
  <cheat desc="the RON key ('Z' by default). The tiles do"/>
  <cheat desc="not visually change until you make a move."/>
  <cheat desc=" "/>

  <cheat desc="Get winning hand Now!">
    <script state="on">
      <action>maincpu.pd@FEE00868=34000000</action>
      <action>maincpu.pd@FEE0086C=34000000</action>
      <action>maincpu.pd@FEE00870=34000000</action>
      <action>maincpu.pd@FEE00874=34000001</action>
      <action>maincpu.pd@FEE00878=34000001</action>
      <action>maincpu.pd@FEE0087C=34000001</action>
      <action>maincpu.pd@FEE00880=34000002</action>
      <action>maincpu.pd@FEE00884=34000002</action>
      <action>maincpu.pd@FEE00888=34000002</action>
      <action>maincpu.pd@FEE0088C=34000003</action>
      <action>maincpu.pd@FEE00890=34000003</action>
      <action>maincpu.pd@FEE00894=34000003</action>
      <action>maincpu.pd@FEE00898=34000004</action>
      <action>maincpu.pd@FEE0089C=34000004</action>
    </script>
  </cheat>

  <cheat desc="Always winning hand">
    <script state="run">
      <action>maincpu.pd@FEE00868=34000000</action>
      <action>maincpu.pd@FEE0086C=34000000</action>
      <action>maincpu.pd@FEE00870=34000000</action>
      <action>maincpu.pd@FEE00874=34000001</action>
      <action>maincpu.pd@FEE00878=34000001</action>
      <action>maincpu.pd@FEE0087C=34000001</action>
      <action>maincpu.pd@FEE00880=34000002</action>
      <action>maincpu.pd@FEE00884=34000002</action>
      <action>maincpu.pd@FEE00888=34000002</action>
      <action>maincpu.pd@FEE0088C=34000003</action>
      <action>maincpu.pd@FEE00890=34000003</action>
      <action>maincpu.pd@FEE00894=34000003</action>
      <action>maincpu.pd@FEE00898=34000004</action>
      <action>maincpu.pd@FEE0089C=34000004</action>
    </script>
  </cheat>

  <cheat desc="Infinite 'Sue-Chi Stick'">
    <script state="run">
      <action>maincpu.pb@FEE00F48=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite 'Fire Sekkan'">
    <script state="run">
      <action>maincpu.pb@FEE00F4C=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite 'Special Syoukan'">
    <script state="run">
      <action>maincpu.pb@FEE00F50=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite 'Helper'">
    <script state="run">
      <action>maincpu.pb@FEE00F54=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite 'Hyper Eye'">
    <script state="run">
      <action>maincpu.pb@FEE00F58=09</action>
    </script>
  </cheat>

  <cheat desc="Always Join All Associates"> <comment>If you don't join associates who Peach Pie, Lemon Pie, Cherry Pie and Milky Pie the game's end is the bad one.</comment>
    <script state="run">
      <action>maincpu.pb@FEE00B08=1F</action>
    </script>
  </cheat>

  <cheat desc="Start on Shiho Katagiri"> <comment>Turn this cheat OFF after you've started the game</comment>
    <script state="run">
      <action>maincpu.pb@FEE00AF8=04</action>
    </script>
  </cheat>

  <cheat desc="Start on Sesir.D"> <comment>Turn this cheat OFF after you've started the game</comment>
    <script state="run">
      <action>maincpu.pb@FEE00AF8=05</action>
    </script>
  </cheat>

  <cheat desc="Start on Sesir.D (Final)"> <comment>Turn this cheat OFF after you've started the game</comment>
    <script state="run">
      <action>maincpu.pb@FEE00AF8=06</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
